1. Join Now

    AVForums.com uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PowerDirector SE

Discussion in 'Camcorders, Action Cams & Video Editing Forum' started by Fatti, Aug 16, 2003.

  1. Fatti

    Fatti
    Active Member

    Joined:
    Oct 22, 2002
    Messages:
    658
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    31
    Location:
    Worcester
    Ratings:
    +40
    Does anyone have/use PowerDirector SE 1.1. I have it bundled with a recently purchased Firewire card. I've installed it under Windows 98 SE but when I try and run it a message pops up saying its performed an illegal operation and will be shut down.

    I've downloaded and tried the trial version of PD 2.5 from Cyberlinks site and that works fine. I dont really want the pay the $49.99 to upgrade if I end up with the same problem.

    Anyone else had this problem or can offer any advice.
     
  2. MarkE19

    MarkE19
    Moderator

    Joined:
    Aug 10, 2002
    Messages:
    17,131
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    166
    Location:
    Rainham Essex
    Ratings:
    +2,393
    If you are useing Windows 98SE then the chances are that you have a fairly old PC. In which case have you checked that your PC specs are good enough for the programme to run?
    Is the proccessor powerful/fast enough? Do you have enough memory? Do you have enough disk space?

    Video capture/editing does take a lot out of a PC, even newer more powerful P4/Athlon systems. Let us know the specs of the PC and we will see if we can help.

    Mark.
     
  3. Fatti

    Fatti
    Active Member

    Joined:
    Oct 22, 2002
    Messages:
    658
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    31
    Location:
    Worcester
    Ratings:
    +40
    Hi Mark, yeah the PC is a few years old, but it more than meets the specs recommended by Cyberlink. I've used the software supplied with my JVC GR-D60 and captured via the firewire link with excellent success. As I said, I've used the PowerDirector 2.5 trial version, again with favourable results.

    The reason I still used 98SE is back to the old saying "if it works, leave it alone" I've never had any problems running anything under 98, so I've just left it. Seems strange that the later PD 2.5 version works but 1.1 pops up with the error.

    Seems like it's more a problem with the bundled edition of PD 1.1 than PC spec. I emailed Cyberlink a week or so ago but as yet no response.
     

Share This Page

Loading...